# ImageRefPoolSnapshotsDiff class

difference between two snapshots.

## Constructors

ImageRefPoolSnapshotsDiff({int totalMemoryConsumptionDiff = 0, required List<String> removed, required List<String> added, required List<String> modified})
ImageRefPoolSnapshotsDiff.fromJson(Map<String, dynamic> json)
  factory

## Properties

added ↔ List<String>
  Profiles of ImageRefs that are present in the second snapshot, but not in the first snapshot.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
modified ↔ List<String>
  Profiles of ImageRefs that are present in both snapshots but are different. Profile is considered modified if number of references or memory consumption is different.
  getter/setter pair
removed ↔ List<String>
  Unique ids of ImageRefs that are not present in the second snapshot and present in the first snapshot.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
totalMemoryConsumptionDiff ↔ int
  Difference between total memory consumption in two snapshots.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited